#!/bin/bash

. /etc/rc.conf
. /etc/rc.d/functions

usage() {
    cat >&2 << EOF
usage: rc action daemon ...

e.g: rc list
     rc help
     rc start sshd gpm
EOF
}

(( $# < 1 )) && usage && exit 1

case $1 in
	help)
		usage
		;;
	list)
		cd /etc/rc.d/
		for d in *; do
			have_daemon "$d" || continue
			# print running / stopped satus
			if ! ck_daemon "$d"; then
			    printf "${C_OTHER}[${C_DONE}STARTED${C_OTHER}]"
			else
			    printf "${C_OTHER}[${C_FAIL}STOPPED${C_OTHER}]"
			fi
			# print auto / manual status
			if ! ck_autostart "$d"; then
			    printf "${C_OTHER}[${C_DONE}AUTO${C_OTHER}]"
			else
			    printf "${C_OTHER}[${C_FAIL}    ${C_OTHER}]"
			fi
			printf " ${C_MAIN}$d${C_CLEAR}\n"
		done
		;;
	*)
		action=$1
		shift
		for i; do
			[[ -x "/etc/rc.d/$i" ]] && "/etc/rc.d/$i" $action
		done
esac

true

# vim: set ts=2 sw=2 noet:
